/**
 * 
 */
package it.mice.voila.runtime.jasper.view;

import net.sf.jasperreports.engine.JRExporter;
import net.sf.jasperreports.engine.export.JRRtfExporter;

import org.springframework.web.servlet.view.jasperreports.AbstractJasperReportsSingleFormatView;

/**
 *
 */
public class JasperReportsRtfView extends AbstractJasperReportsSingleFormatView {
	public JasperReportsRtfView() {
		setContentType("application/vnd.ms-word");
	}

	/**
	 * {@inheritDoc}
	 * 
	 * @see org.springframework.web.servlet.view.jasperreports.AbstractJasperReportsSingleFormatView#createExporter()
	 */
	@Override
	protected JRExporter createExporter() {
		return new JRRtfExporter();
	}

	/**
	 * {@inheritDoc}
	 * 
	 * @see org.springframework.web.servlet.view.jasperreports.AbstractJasperReportsSingleFormatView#useWriter()
	 */
	@Override
	protected boolean useWriter() {
		return false;
	}
}
